package org.nl.acs.device_driver.basedriver.standard_storage;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.RouteableDeviceDriver;
import org.nl.acs.device_driver.StorageDeviceDriver;
import org.nl.acs.device_driver.driver.AbstractDeviceDriver;


/**
 * 标准版货架
 */
@Slf4j
@Data
public class StandardStorageDeviceDriver extends AbstractDeviceDriver implements RouteableDeviceDriver, StorageDeviceDriver, DeviceDriver {
    public StandardStorageDeviceDriver() {

    }

    public boolean isTakeReady() {
        return true;
    }

    public boolean isPutReady() {
        return true;
    }

    public boolean fixTypes(Integer type) {
        return true;
    }


}

